Package com.orchestranetworks.schema.relationships

# Interface ReverseRelationshipIntraDataset

All Superinterfaces:
  `Relationship`, `ReverseRelationship`

public interface ReverseRelationshipIntraDataset extends ReverseRelationship
Represents a reverse relationship in a resolved data model where the node that defines the foreign key constraint, the selection link or the association link is in the same dataset.

Since:
  5.7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReverseRelationshipResult`
  `getReferringRecords(Adaptation aReferencedRecord)`
  Returns the records in the dataset that refer to the specified record through the corresponding foreign key constraint, selection link or association link.

  ### Methods inherited from interface com.orchestranetworks.schema.relationships.Relationship

  `isExplicit`

  ### Methods inherited from interface com.orchestranetworks.schema.relationships.ReverseRelationship

  `getExplicitRelationship, getReferringTableNode, getTableNode, isIntraDataset`

- ## Method Details

  - ### getReferringRecords

    ReverseRelationshipResult getReferringRecords(Adaptation aReferencedRecord)
    Returns the records in the dataset that refer to the specified record through the corresponding foreign key constraint, selection link or association link.

    Returns `null` if the node that defines the corresponding relationship is not inside a table.

    Permissions are applied if this reverse relationship has been retrieved using a specific `Session`. As a consequence, this method returns only the records that can be viewed by the end-user associated with the specified session.

    Throws:
      `IllegalArgumentException` - if the specified `Adaptation` is null.
      `IllegalArgumentException` - if the specified `Adaptation` is not a record.
      `IllegalArgumentException` - if the specified record is not in a dataset that is an instance of the data model containing the target table node of the associated relationship.
      `IllegalArgumentException` - if the specified record is not in the table that is targeted by the corresponding relationship.
    See Also:
      - `SchemaNode.getRelationships(Adaptation, com.orchestranetworks.service.Session)`
      - `SchemaNodeRelationships.getIntraDatasetReverseRelationships()`